コンテンツへスキップ

Hunyuan World · Image to World

統合

モデルID hunyuan_world/image-to-world
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan_world/image-to-world?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.30 300 APIクレジット · ≈ ₽32.27 このページで実行

APIキーを取得
Tencent 画像から3D

前景のラベルとクラスに基づき、1枚の画像を3Dワールドファイルに変換します

Tencent · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

ワールドへの変換に使用するソース画像 URL です。

•必須

前景の 1 番目のオブジェクトに割り当てるラベルです。

•必須

前景の 2 番目のオブジェクトに割り当てるラベルです。

•必須

ワールドの生成に使用するクラスです。

詳細設定 export_drc · enable_safety_checker
POST /run/hunyuan_world/image-to-world?wait=20 見積もり → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan_world/image-to-world?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Hunyuan World · Image to Worldについて

`image_url`から3Dワールドを生成します。2つの前景オブジェクトには`labels_fg1`と`labels_fg2`が必要で、生成には`classes`も必要です。`export_drc`は任意で、デフォルトでは無効です。JSON形式のワールドファイルを返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
ワールドへの変換に使用するソース画像 URL です。
labels_fg1必須
型string
前景の 1 番目のオブジェクトに割り当てるラベルです。
labels_fg2必須
型string
前景の 2 番目のオブジェクトに割り当てるラベルです。
classes必須
型string
ワールドの生成に使用するクラスです。
export_drc任意
型boolean
デフォルトfalse
DRC (Dynamic Resource Configuration) のエクスポートを制御します。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan_world/image-to-world",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  },
  "output": {
    "world_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
world_file
object {url, content_type, file_name, file_size}生成されたワールドです。

その他のモデル: 画像から3D

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/hunyuan_world/image-to-world.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt